class CreateSecdomains < ActiveRecord::Migration
  def change
    create_table :secdomains do |t|
      t.integer :sub_type     #1.系统预留  2.Organization  3.users
      t.string :subname   #子域名
      t.integer :pid, default: 0   #参数id
      t.string :desc

      t.timestamps
    end

    #系统保留
    Secdomain.create(sub_type: 1,  subname: 'gitlab')
    Secdomain.create(sub_type: 1,  subname: 'wechat')
    Secdomain.create(sub_type: 1,  subname: 'judge')

    #organization
    Secdomain.create(sub_type: 2,  subname: 'micros', pid: 5)
    Secdomain.create(sub_type: 2,  subname: 'nubot', pid: 23)
    Secdomain.create(sub_type: 2,  subname: 'team', pid: 1)

    #users
    Secdomain.create(sub_type: 3,  subname: 'whm', pid: 7)
    Secdomain.create(sub_type: 3,  subname: 'yg', pid: 5)
    Secdomain.create(sub_type: 3,  subname: 'wt', pid: 11)

  end
end
